package net.sf.daileon.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indicates the class that keeps the annotations that correspond to a domain
 * annotation at class level.
 * 
 * @author Roberto Perillo
 * @version 1.0 01/01/2010
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.ANNOTATION_TYPE)
public @interface ClassTemplate {

    /**
     * Informs the name of the class that keeps the annotations that correspond
     * to a domain annotation at class level. The value indicated must be fully
     * qualified.
     * 
     * @return The name of the class.
     */
    public abstract String annotatedClass();
}