package net.sf.daileon.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Indicates that a particular annotation is a domain annotation.<br />
 * Is used to distinguish a domain annotation from a regular annotation, so that
 * Daileon can identify it and act properly (either identifying its
 * corresponding annotations at runtime or translating it at bytecode level).
 * 
 * @author Roberto Perillo
 * @version 1.0 01/01/2010
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.ANNOTATION_TYPE)
public @interface DomainAnnotation {
}