package net.sf.daileon.notsupported;

/**
 * The <code>FieldInformation</code> class represents specifically the
 * information of a particular field.
 * 
 * @author Roberto Perillo
 * @version 1.0 01/01/2010
 */
class FieldInformation extends ElementBase {

    /** The default value of the field */
    private Object value;

    /**
     * Class constructor.
     */
    FieldInformation() {
        super();
    }

    /**
     * Gets the default value of the field.
     * 
     * @return The default value of the field.
     */
    Object getValue() {
        return value;
    }

    /**
     * Sets the default value of the field.
     * 
     * @param value
     *            The default value of the field.
     */
    void setValue(Object value) {
        this.value = value;
    }

}