package net.sf.daileon.notsupported;

/**
 * The <code>MethodInformation</code> class represents specifically the
 * information of a particular method.
 * 
 * @author Roberto Perillo
 * @version 1.0 01/01/2010
 */
class MethodInformation extends ElementBase {

    /** The exceptions that may be thrown by the method */
    private String [] exceptions;

    /**
     * Class constructor.
     */
    MethodInformation() {
        super();
    }

    /**
     * Gets the exceptions that may be thrown by this method.
     * 
     * @return The exceptions that may be thrown by this method.
     */
    String [] getExceptions() {
        return exceptions;
    }

    /**
     * Sets the exceptions that may be thrown by this method.
     * 
     * @param exceptions
     *            The exceptions that may be thrown by this method.
     */
    void setExceptions(String [] exceptions) {
        this.exceptions = exceptions;
    }

}