package net.sf.daileon.xml;

/**
 * The <code>XmlHandlerException</code> class represents any problem that may
 * occur when serializing an <code>Object</code> to a given {@link java.io.OutputStream}
 * , or when trying to transform to an <code>Object</code> representation the
 * content of a given XML file, as an {@link java.io.InputStream}.
 * 
 * @author Beto
 * @version 1.0 01/01/2010
 */
public class XmlHandlerException extends Exception {

    /** serialVersionUID */
    private static final long serialVersionUID = -3770702496776083356L;

    /**
     * Constructs a new exception with a default message as its detail message.
     * The cause is not initialized, and may subsequently be initialized by a
     * call to {@link #initCause}.
     */
    public XmlHandlerException() {
        super("A problem with the requested service occurred.");
    }

    /**
     * Constructs a new exception with the specified detail message. The cause
     * is not initialized, and may subsequently be initialized by a call to
     * {@link #initCause}.
     * 
     * @param message
     *            The message that will be sent to the superclass constructor.
     */
    public XmlHandlerException(final String message) {
        super(message);
    }

    /**
     * Constructs a new exception with the specified cause and a detail message
     * of <code>(cause == null ? null : cause.toString())</code> (which
     * typically contains the class and detail message of <code>cause</code>).
     * 
     * @param cause
     *            The cause (which is saved for later retrieval by the
     *            {@link #getCause()} method). (A <code>null</code> value is
     *            permitted, and indicates that the cause is nonexistent or
     *            unknown.)
     */
    public XmlHandlerException(final Throwable cause) {
        super(cause);
    }

    /**
     * Constructs a new exception with the specified detail message and cause.
     * <p>
     * Note that the detail message associated with <code>cause</code> is
     * <i>not</i> automatically incorporated in this exception's detail message.
     * 
     * @param message
     *            The detail message (which is saved for later retrieval by the
     *            {@link #getMessage()} method).
     * @param cause
     *            The cause (which is saved for later retrieval by the
     *            {@link #getCause()} method). (A <code>null</code> value is
     *            permitted, and indicates that the cause is nonexistent or
     *            unknown.)
     */
    public XmlHandlerException(final String message, final Throwable cause) {
        super(message, cause);
    }
}