package net.sf.daileon.xml;

/**
 * The <code>XmlHandlerFactory</code> is a static factory, which provides a
 * single method that returns an {@link XmlHandler} object, used to read the
 * content of the XML configuration file, indicated when Daileon is run.
 * 
 * @author Roberto Perillo
 * @version 1.0 01/01/2010
 */
public class XmlHandlerFactory {

    /**
     * Class constructor.
     */
    private XmlHandlerFactory() {
        super();
    }

    /**
     * Returns the <code>JAXB</code> implementation of the
     * <code>XmlHandler</code> interface. This object is responsible for reading
     * the content of the XML configuration file, indicated in the command line
     * when Daileon is run.
     * 
     * @return The <code>JAXB</code> implementation of the
     *         <code>XmlHandler</code> interface.
     */
    public static XmlHandler getJaxbXmlHandler() {
        return new JaxbXmlHandler();
    }

}